Loading...
Searching...
No Matches
CBotFileColobot Class Reference
Inheritance diagram for CBotFileColobot:
[legend]

## Public Member Functions

| CBotFileColobot (const std::string &filename, CBotFileAccessHandler::OpenMode mode)
virtual bool | Opened () override
virtual bool | Errored () override
virtual bool | IsEOF () override
virtual std::string | ReadLine () override
virtual void | Write (const std::string &s) override

## Static Public Attributes

static int | m_numFilesOpen = 0

## Member Function Documentation

## Opened()

virtual bool CBotFileColobot::Opened | ( |  | ) |

inline override virtual

Implements CBot::CBotFile.

## Errored()

virtual bool CBotFileColobot::Errored | ( |  | ) |

inline override virtual

Implements CBot::CBotFile.

## IsEOF()

virtual bool CBotFileColobot::IsEOF | ( |  | ) |

inline override virtual

Implements CBot::CBotFile.

## ReadLine()

virtual std::string CBotFileColobot::ReadLine | ( |  | ) |

inline override virtual

Implements CBot::CBotFile.

## Write()

virtual void CBotFileColobot::Write | ( | const std::string & | s | ) |

inline override virtual

Implements CBot::CBotFile.

The documentation for this class was generated from the following file:

- src/script/scriptfunc.cpp